one-sessions-patch-one¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256541517Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
asyncLambda:
jef-one-patch-20
Endpoint¶
API Name:
jef-oneAction Name:
patchMethod:
PATCHScope Label:
AsyncResource Path:
/one-sessions-patch-oneComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-patch-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-patch-20curl payload mode:
json_body
API Gateway Description¶
Function: jef-one-patch-20
Module: jef-one
Action: patch
Method: PATCH
Invocation Mode: ASYNC
Resource Path: /one-sessions-patch-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-one-sessions
Payload Example:
- pk: sess-20260429-000001
- session_id: sess-20260429-000001
- entity_number: 1001
- employee_number: 000001
- app_number: 001
- app_type: mobile
- sqs_message_id:
- status: pending
- is_valid: False
- is_active: True
- expires_at: 2026-04-29T14:00:00Z
- created_at: 2026-04-29T05:00:00Z
- updated_at: 2026-04-29T05:00:00Z
- verified_at:
- failure_reason:
Payload Schema:
- pk: string-{session_id}
- session_id: string
- entity_number: string
- employee_number: string
- app_number: string
- app_type: string
- sqs_message_id: string
- status: string
- is_valid: boolean
- is_active: boolean
- expires_at: string
- created_at: string
- updated_at: string
- verified_at: string
- failure_reason: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "sess-20260429-000001",
"session_id": "sess-20260429-000001",
"entity_number": "1001",
"employee_number": "000001",
"app_number": "001",
"app_type": "mobile",
"sqs_message_id": "",
"status": "pending",
"is_valid": "False",
"is_active": "True",
"expires_at": "2026-04-29T14:00:00Z",
"created_at": "2026-04-29T05:00:00Z",
"updated_at": "2026-04-29T05:00:00Z",
"verified_at": "",
"failure_reason": ""
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"sess-20260429-000001\", \"session_id\": \"sess-20260429-000001\", \"entity_number\": \"1001\", \"employee_number\": \"000001\", \"app_number\": \"001\", \"app_type\": \"mobile\", \"sqs_message_id\": \"\", \"status\": \"pending\", \"is_valid\": false, \"is_active\": true, \"expires_at\": \"2026-04-29T14:00:00Z\", \"created_at\": \"2026-04-29T05:00:00Z\", \"updated_at\": \"2026-04-29T05:00:00Z\", \"verified_at\": \"\", \"failure_reason\": \"\"}"
PowerShell curl¶
curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-sessions-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "sess-20260429-000001", "session_id": "sess-20260429-000001", "entity_number": "1001", "employee_number": "000001", "app_number": "001", "app_type": "mobile", "sqs_message_id": "", "status": "pending", "is_valid": false, "is_active": true, "expires_at": "2026-04-29T14:00:00Z", "created_at": "2026-04-29T05:00:00Z", "updated_at": "2026-04-29T05:00:00Z", "verified_at": "", "failure_reason": ""}'